program login;

{$mode objfpc}

uses
  browserapp, JS, Classes, SysUtils, Web;

type

  { TMyApplication }

  TMyApplication = class(TBrowserApplication)
    edtEmail: TJSHTMLInputElement;
    edtPassword : TJSHTMLInputElement;
    btnLogin : TJSHTMLButtonElement;
    procedure doRun; override;
  private
    procedure BindElements;
    procedure doLoginClick(aEvent: TJSEvent);
    procedure doServerLogin(const aUser, aPassword: String);
  end;

procedure TMyApplication.BindElements;
begin
  edtEmail:=TJSHTMLInputElement(GetHTMLElement('edtEmail'));
  edtPassword:=TJSHTMLInputElement(GetHTMLElement('edtPassword'));
  btnLogin:=TJSHTMLButtonElement(GetHTMLElement('btnLogin'));
end;

procedure TMyApplication.doLoginClick(aEvent : TJSEvent);

begin
  DoServerLogin(edtEmail.Value,edtPassword.Value)
end;

procedure TMyApplication.doServerLogin(const aUser,aPassword: String);
begin
  window.alert('Logging in with user: '+aUser);
  // to be implemented.
end;

procedure TMyApplication.doRun;

begin
  BindElements;
  btnLogin.AddEventListener('click',@DoLoginCLick);
  Terminate;
end;

var
  Application : TMyApplication;

begin
  Application:=TMyApplication.Create(nil);
  Application.Initialize;
  Application.Run;
end.
